Summary:	xpr applications - printing X window
Summary(pl.UTF-8):	Aplikacje xpr - drukowanie okienek X
Name:		xorg-app-xpr
Version:	1.0.5
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xpr-%{version}.tar.bz2
# Source0-md5:	eaac255076ea351fd08d76025788d9f9
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
# just xmuu
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xpr takes as input a window dump file produced by xwd and formats it
for output on PostScript printers, the Digital LN03 or LA100, the IBM
PP3812 page printer, the HP LaserJet (or other PCL printers), or the
HP PaintJet.

xdpr uses the commands xwd, xpr, and lpr or lp to dump an X window,
process it for a particular printer type, and print it out on the
printer of your choice.

%description -l pl.UTF-8
xpr przyjmuje na wejściu plik zrzutu okna utworzony przez xwd i
formatuje go do wydruku na drukarkach postscriptowych, Digital LN03
lub LA100, drukarce stronnicowej IBM PP3812, HP LaserJet (albo innych
drukarkach PCL) lub HP PaintJet.

xdpr używa poleceń xwd, xpr i lpr lub lp do wykonania zrzutu okienka
X, przetworzenia go dla danego typu drukarki i wydrukowania go na
wybranej drukarce.

%prep
%setup -q -n xpr-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xdpr
%attr(755,root,root) %{_bindir}/xpr
%{_mandir}/man1/xdpr.1*
%{_mandir}/man1/xpr.1*
%changelog
* Fri Mar 16 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xpr.git;a=log;h=master

* Fri Mar 16 2018 Jakub Bogusz <qboosh@pld-linux.org> 1d08125
- updated to 1.0.5

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 027132d
- fix files
- rel 2

* Mon Apr 02 2012 Jakub Bogusz <qboosh@pld-linux.org> b7182d1
- updated to 1.0.4

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> dfb09f5
- dropped pre-cvs changelog

* Mon Oct 19 2009 Jakub Bogusz <qboosh@pld-linux.org> d6c9fe4
- updated to 1.0.3

* Fri Nov 09 2007 witekfl <witekfl@pld-linux.org> a3f37fc
- s|X11/Application|X11/Applications|

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> f0579e0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a55e3f1
- converted to UTF-8

* Tue Jan 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 2206573
- updated to 1.0.2
- real descs from man pages

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 2a149e5
- use individual dir, more verbose files, release 1

* Fri Jan 13 2006 Jakub Bogusz <qboosh@pld-linux.org> 6a48746
- 1.0.1 (X11R7.0 release)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 9b91112
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 5babf9f
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> b221f1c
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> f015b77
- standard permisions to binaries

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 63b68ea
- cleanups, kill /usr/X11R6

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> f6a50d5
- s/pkg-config/pkgconfig/ in BR:

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 5a51dc4
- modular xorg specs

